"Fossies" - the Fresh Open Source Software Archive

Member "pocl-1.8/README.Windows" (12 Oct 2021, 1418 Bytes) of package /linux/misc/pocl-1.8.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "README.Windows": 1.7_vs_1.8.

    1 
    2 # WARNING: this document is seriously outdated
    3 #
    4 # considering we haven't had anyone maintaining
    5 # the Windows build since about 2016, getting the
    6 # current PoCL code to build on Windows will likely
    7 # require much more effort than this howto describes.
    8 
    9 # Compiling pocl on Windows
   10 
   11 ## Dependencies:
   12 
   13 - Visual Studio 2013
   14 - Git and Git bash http://git-scm.com/downloads
   15 - CMake 2.8 or newer http://www.cmake.org/download/
   16 - Python 2.7 for LLVM
   17 - Pthreads-win32 binary distribution https://www.sourceware.org/pthreads-win32/
   18 - Hwloc for Windows x64 binary distribution http://www.open-mpi.org/software/hwloc/v1.10/ 
   19 - LLVM + Clang latest release sources
   20 
   21 ## Support:
   22 
   23 - Only 64bit compiling for now
   24 - No ICD compiling
   25 - No VML (no stdcxxlib finding done for windows)
   26 - Static compilation
   27 
   28 ## Building
   29 
   30 There is shell script in `pocl/windows/setup_and_build_win64.sh`
   31 
   32 Shell script may be ran in `Git Bash` and it downloads and installs pocl and all the
   33 library dependencies and builds them to `/c/pocl-playground`.
   34 
   35 To download and build everything without first fetching pocl repository one can do simply:
   36 
   37     curl https://github.com/pocl/pocl/raw/master/windows/setup_and_build_win64.sh | sh
   38 
   39 Script requires following software installed on Windows 7 or later (64bit only):
   40 
   41 - Visual Studio 2013 (e.g. community edition)
   42 - Cmake 2.8 or later (must be added to PATH)
   43 - Git + Git Bash
   44 - Python 2.7 for compiling LLVM